import 'package:flutter/material.dart';
import 'package:dotted_border/dotted_border.dart';

class RecupDottedButton extends StatelessWidget {
  final Function() onTap;
  final Color? color;
  final Icon? icon;
  final EdgeInsetsGeometry? padding;

  const RecupDottedButton(
      {Key? key, required this.onTap, this.color, this.icon, this.padding})
      : super(key: key);

  @override
  Widget build(BuildContext context) {
    return Container(
      decoration: BoxDecoration(
        border: Border.all(style: BorderStyle.solid),
      ),
      child: DottedBorder(
        dashPattern: const [7, 6],
        strokeCap: StrokeCap.square,
        color: color!,
        borderType: BorderType.Rect,
        strokeWidth: 2,
        child: Padding(
          padding: padding!,
          child: OutlinedButton(
            style: OutlinedButton.styleFrom(
                side: const BorderSide(style: BorderStyle.none)),
            onPressed: onTap,
            child: icon!,
          ),
        ),
      ),
    );
  }
}
