import 'package:flutter/material.dart';

class RecupElevatedButton extends StatelessWidget {
  final void Function()? onPressed;
  final Widget? child;
  final EdgeInsetsGeometry? padding;
  final bool radiusCircular;
  final bool dense;

  const RecupElevatedButton({
    required this.onPressed,
    this.child,
    super.key,
    this.padding,
    this.radiusCircular = true,
    this.dense = false,
  });

  @override
  Widget build(BuildContext context) {
    return Container(
      width: MediaQuery.of(context).size.width,
      padding: padding,
      child: ElevatedButton(
        onPressed: onPressed,
        style: OutlinedButton.styleFrom(
          padding: dense
              ? null
              : const EdgeInsets.symmetric(vertical: 15, horizontal: 20),
          shape: radiusCircular
              ? const RoundedRectangleBorder(
                  borderRadius: BorderRadius.all(Radius.circular(100)),
                )
              : null,
        ),
        child: child,
      ),
    );
  }
}
