import 'package:flutter/material.dart';
import 'package:recup_app_storybook/stories/buttons/ElevatedButton/elevated_button.dart';
import 'package:recup_app_storybook/stories/data_display/avatar/avatar.dart';

class RecupCardDonation extends StatelessWidget {
  final String imageAvatar;
  final double value;
  final String title;
  final String textButton;
  final void Function()? onPressed;
  const RecupCardDonation(
      {Key? key,
      required this.imageAvatar,
      required this.value,
      required this.title,
      this.onPressed,
      this.textButton = ''})
      : super(key: key);

  @override
  Widget build(BuildContext context) {
    return Container(
      height: 150,
      width: 128,
      margin: const EdgeInsets.all(8.0),
      padding: const EdgeInsets.symmetric(horizontal: 10),
      decoration: BoxDecoration(
        color: Theme.of(context).cardColor,
        borderRadius: const BorderRadius.all(
          Radius.circular(12.0),
        ),
      ),
      child: Column(
        crossAxisAlignment: CrossAxisAlignment.start,
        mainAxisAlignment: MainAxisAlignment.spaceEvenly,
        children: [
          Row(
            mainAxisAlignment: MainAxisAlignment.spaceBetween,
            children: [
              RecupAvatar(
                foto: imageAvatar,
              ),
              Text(
                "$value €",
                style: Theme.of(context).textTheme.titleMedium,
              ),
            ],
          ),
          Text(
            title,
            maxLines: 2,
            overflow: TextOverflow.ellipsis,
            style: Theme.of(context).textTheme.labelMedium,
          ),
          RecupElevatedButton(
            dense: true,
            onPressed: onPressed,
            child: Text(textButton),
          ),
        ],
      ),
    );
  }
}
