import 'package:flutter/material.dart';

import 'package:recup_app_storybook/stories/data_display/avatar/avatar.dart';

class RecupCardFeed extends StatelessWidget {
  final String imageAvatar;
  final String name;
  final String email;
  final Widget child;
  const RecupCardFeed(
      {Key? key,
      required this.imageAvatar,
      required this.name,
      required this.email,
      required this.child})
      : super(key: key);

  @override
  Widget build(BuildContext context) {
    return Padding(
      padding: const EdgeInsets.only(left: 10, right: 10),
      child: Padding(
        padding: const EdgeInsets.only(top: 15.0),
        child: SizedBox(
          height: 310,
          child: Card(
            child: Column(
              children: [
                ListTile(
                  leading: RecupAvatar(foto: imageAvatar),
                  title: Text(
                    name,
                  ),
                  subtitle: Text(
                    email,
                  ),
                ),
                Padding(
                  padding: const EdgeInsets.only(left: 20, right: 5),
                  child: Text(
                    "Lorem ipsum dolor sit amet, consectetur adipiscing elit. consectetur adipiscing elit. Porta cursus pulvinar mi vitae suspendisse.",
                    maxLines: 2,
                    overflow: TextOverflow.ellipsis,
                    style: Theme.of(context).textTheme.labelMedium,
                  ),
                ),
                const SizedBox(height: 10.0),
                const Spacer(),
                SizedBox(
                  height: 180,
                  child: Container(
                    decoration: BoxDecoration(
                      borderRadius: BorderRadius.circular(10),
                      color: Theme.of(context).colorScheme.primary,
                    ),
                    child: child,
                  ),
                ),
              ],
            ),
          ),
        ),
      ),
    );
  }
}
