import 'package:flutter/material.dart';

enum RecupAvatarSize {
  small(size: 40),
  medium(size: 60),
  large(size: 70);

  final double size;
  const RecupAvatarSize({required this.size});
}

class RecupAvatar extends StatelessWidget {
  final Color? backgroundColor;
  final RecupAvatarSize? size;
  final String foto;

  final Color? colorBorder;
  const RecupAvatar({
    Key? key,
    this.backgroundColor,
    required this.foto,
    this.size = RecupAvatarSize.small,
    this.colorBorder = Colors.transparent,
  }) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return Container(
      width: size?.size,
      height: size?.size,
      decoration: BoxDecoration(
        color: backgroundColor,
        borderRadius: BorderRadius.circular(50),
        border: colorBorder != null
            ? Border.all(
                color: colorBorder!,
                width: 3,
              )
            : null,
      ),
      child: CircleAvatar(
        backgroundColor: backgroundColor,
        backgroundImage: NetworkImage(foto),
      ),
    );
  }
}
