import 'package:flutter/material.dart';
import 'package:get/get.dart';
import 'package:recup_app_storybook/theme/theme_data.dart';

class RecupMaterialApp extends StatelessWidget {
  final Bindings? initialBinding;
  final String? initialRoute;
  final ThemeMode themeMode;
  final Widget? home;

  final List<GetPage<dynamic>>? getPages;
  const RecupMaterialApp({
    Key? key,
    this.initialBinding,
    this.initialRoute,
    this.getPages,
    this.home,
    this.themeMode = ThemeMode.system,
  }) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return GetMaterialApp(
      title: "Recup",
      debugShowCheckedModeBanner: false,
      initialBinding: initialBinding,
      initialRoute: initialRoute,
      darkTheme: RecupThemeDarkData.themeDarkData(),
      theme: RecupThemeDarkData.themeLightData(),
      themeMode: themeMode,
      getPages: getPages,
      home: home,
    );
  }
}
